<template>
  <div
    id="kt_aside"
    class="aside"
    data-kt-drawer="true"
    data-kt-drawer-name="aside"
    data-kt-drawer-activate="{default: true, lg: false}"
    data-kt-drawer-overlay="true"
    data-kt-drawer-width="{default:'200px', '300px': '250px'}"
    data-kt-drawer-direction="start"
    data-kt-drawer-toggle="#kt_aside_mobile_toggle"
  >
    <div
      id="kt_aside_toolbar"
      class="aside-toolbar flex-column-auto"
    >
      <div class="aside-user d-flex align-items-sm-center justify-content-center py-5">
        <div class="aside-user-info flex-row-fluid flex-wrap ms-5">
          <div class="d-flex">
            <div class="flex-grow-1 me-2 justify-content-start">
              <a
                class="text-white fs-7 fw-bold"
                v-text="$store.getters.getUsuario.nombreCompleto"
              />
              <span
                class="text-gray-600 fw-bold d-block fs-8 mb-1"
                v-text="$store.getters.getUsuario.correo"
              />
            </div>

            <div class="me-n2">
              <a
                class="btn btn-icon btn-sm btn-active-color-primary mt-n2"
                data-kt-menu-trigger="click"
                data-kt-menu-placement="bottom-start"
                data-kt-menu-overflow="true"
              >
                <i class="bi bi-gear-fill" />
              </a>

              <div
                class="menu menu-sub menu-sub-dropdown menu-column menu-rounded menu-gray-800 menu-state-bg menu-state-primary fw-bold py-4 fs-6 w-275px"
                data-kt-menu="true"
              >
                <div class="menu-item px-3">
                  <div class="menu-content d-flex align-items-center px-3">
                    <div class="d-flex flex-column">
                      <div
                        class="fw-bolder d-flex align-items-center fs-5"
                        v-text="$store.getters.getUsuario.nombreCompleto"
                      />
                      <a
                        class="fw-bold text-muted fs-7"
                        v-text="$store.getters.getUsuario.correo"
                      />
                    </div>
                  </div>
                </div>
                <div class="separator my-2" />
                <div class="menu-item px-5">
                  <a
                    href="#"
                    class="menu-link px-5"
                  >Mi Perfil</a>
                </div>
                <div class="menu-item px-5">
                  <a
                    class="menu-link px-5"
                    @click="onCerrarSesion()"
                  >Cerrar Sesión</a>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="aside-menu flex-column-fluid">
      <div
        id="kt_aside_menu_wrapper"
        class="hover-scroll-overlay-y px-2 my-5 my-lg-5"
        data-kt-scroll="true"
        data-kt-scroll-height="auto"
        data-kt-scroll-dependencies="{default: '#kt_aside_toolbar, #kt_aside_footer', lg: '#kt_header, #kt_aside_toolbar, #kt_aside_footer'}"
        data-kt-scroll-wrappers="#kt_aside_menu"
        data-kt-scroll-offset="5px"
      >
        <div
          id="#kt_aside_menu"
          class="menu menu-column menu-title-gray-800 menu-state-title-primary menu-state-icon-primary menu-state-bullet-primary menu-arrow-gray-500"
          data-kt-menu="true"
        >
          <div class="menu-item">
            <div class="menu-content pb-2">
              <span class="menu-section text-muted text-uppercase fs-8 ls-1">Inicio</span>
            </div>
          </div>

          <div class="menu-item">
            <router-link
              to="/inicio"
              class="menu-link"
              :class="isActivo('inicio')"
            >
              <span class="menu-icon">
                <i class="bi bi-grid-1x2-fill" />
              </span>
              <span class="menu-title">Inicio</span>
            </router-link>
          </div>

          <div class="menu-item">
            <div class="menu-content pt-8 pb-2">
              <span class="menu-section text-muted text-uppercase fs-8 ls-1">Administración</span>
            </div>
          </div>
          <div
            data-kt-menu-trigger="click"
            class="menu-item menu-accordion"
            :class="isListaActivo(['tipo-ganado', 'tipo-raza', 'tipo-animal', 'categoria-ganado'])"
          >
            <span class="menu-link">
              <span class="menu-icon">
                <i class="bi bi-list-ul" />
              </span>
              <span class="menu-title">Tipos y Categorías de Ganados</span>
              <span class="menu-arrow" />
            </span>
            <div
              class="menu-sub menu-sub-accordion menu-active-bg"
              :class="isListaActivo(['tipo-ganado', 'tipo-raza', 'tipo-animal', 'categoria-ganado'])"
            >
              <div class="menu-item">
                <router-link
                  to="/panel/tipo-ganado/listar"
                  class="menu-link"
                  :class="isActivo('tipo-ganado')"
                >
                  <span class="menu-bullet">
                    <span class="bullet bullet-dot" />
                  </span>
                  <span class="menu-title">Tipo de Ganado</span>
                </router-link>
              </div>

              <div class="menu-item">
                <router-link
                  to="/panel/tipo-raza/listar"
                  class="menu-link"
                  :class="isActivo('tipo-raza')"
                >
                  <span class="menu-bullet">
                    <span class="bullet bullet-dot" />
                  </span>
                  <span class="menu-title">Tipo de Raza</span>
                </router-link>
              </div>

              <div class="menu-item">
                <router-link
                  to="/panel/tipo-animal/listar"
                  class="menu-link"
                  :class="isActivo('tipo-animal')"
                >
                  <span class="menu-bullet">
                    <span class="bullet bullet-dot" />
                  </span>
                  <span class="menu-title">Tipo de Animal</span>
                </router-link>
              </div>

              <div class="menu-item">
                <router-link
                  to="/panel/categoria-ganado/listar"
                  class="menu-link"
                  :class="isActivo('categoria-ganado')"
                >
                  <span class="menu-bullet">
                    <span class="bullet bullet-dot" />
                  </span>
                  <span class="menu-title">Categoría de Ganado</span>
                </router-link>
              </div>
            </div>
          </div>

          <div class="menu-item">
            <router-link
              to="/panel/asociacion/listar"
              class="menu-link"
              :class="isActivo('asociacion')"
            >
              <span class="menu-bullet">
                <span class="bullet bullet-dot" />
              </span>
              <span class="menu-title">Asociaciones</span>
            </router-link>
          </div>

          <div class="menu-item">
            <router-link
              to="/panel/usuario/listar"
              class="menu-link"
              :class="isActivo('usuario')"
            >
              <span class="menu-bullet">
                <span class="bullet bullet-dot" />
              </span>
              <span class="menu-title">Usuarios</span>
            </router-link>
          </div>

          <div class="menu-item">
            <div class="menu-content">
              <div class="separator mx-1 my-4" />
            </div>
          </div>

          <div class="menu-item">
            <div class="menu-content pt-2 pb-2">
              <span class="menu-section text-muted text-uppercase fs-8 ls-1">Tienda</span>
            </div>
          </div>
          <div class="menu-item">
            <router-link
              to="/panel/proveedor/listar"
              class="menu-link"
              :class="isActivo('proveedor')"
            >
              <span class="menu-bullet">
                <span class="bullet bullet-dot" />
              </span>
              <span class="menu-title">Proveedores</span>
            </router-link>
          </div>

          <div class="menu-item">
            <div class="menu-content">
              <div class="separator mx-1 my-4" />
            </div>
          </div>

          <div class="menu-item">
            <div class="menu-content pt-2 pb-2">
              <span class="menu-section text-muted text-uppercase fs-8 ls-1">Publicaciones</span>
            </div>
          </div>
          <div
            data-kt-menu-trigger="click"
            class="menu-item menu-accordion"
            :class="isListaActivo(['subasta/listar', 'subasta/buscar'])"
          >
            <span class="menu-link">
              <span class="menu-icon">
                <i class="bi bi-list-ul" />
              </span>
              <span class="menu-title">Subastas</span>
              <span class="menu-arrow" />
            </span>
            <div
              class="menu-sub menu-sub-accordion menu-active-bg"
              :class="isListaActivo(['subasta/listar', 'subasta/buscar'])"
            >
              <div class="menu-item">
                <router-link
                  to="/panel/subasta/listar"
                  class="menu-link"
                  :class="isActivo('subasta/listar')"
                >
                  <span class="menu-bullet">
                    <span class="bullet bullet-dot" />
                  </span>
                  <span class="menu-title">Listar</span>
                </router-link>
              </div>

              <div class="menu-item">
                <router-link
                  to="/panel/subasta/buscar"
                  class="menu-link"
                  :class="isActivo('subasta/buscar')"
                >
                  <span class="menu-bullet">
                    <span class="bullet bullet-dot" />
                  </span>
                  <span class="menu-title">Busqueda Avanzada</span>
                </router-link>
              </div>
            </div>
          </div>

          <div
            data-kt-menu-trigger="click"
            class="menu-item menu-accordion"
            :class="isListaActivo(['venta/listar', 'venta/buscar'])"
          >
            <span class="menu-link">
              <span class="menu-icon">
                <i class="bi bi-list-ul" />
              </span>
              <span class="menu-title">Ventas</span>
              <span class="menu-arrow" />
            </span>
            <div
              class="menu-sub menu-sub-accordion menu-active-bg"
              :class="isListaActivo(['venta/listar', 'venta/buscar'])"
            >
              <div class="menu-item">
                <router-link
                  to="/panel/venta/listar"
                  class="menu-link"
                  :class="isActivo('venta/listar')"
                >
                  <span class="menu-bullet">
                    <span class="bullet bullet-dot" />
                  </span>
                  <span class="menu-title">Listar</span>
                </router-link>
              </div>
              <div class="menu-item">
                <router-link
                  to="/panel/venta/buscar"
                  class="menu-link"
                  :class="isActivo('venta/buscar')"
                >
                  <span class="menu-bullet">
                    <span class="bullet bullet-dot" />
                  </span>
                  <span class="menu-title">Busqueda Avanzada</span>
                </router-link>
              </div>
            </div>
          </div>

          <div
            data-kt-menu-trigger="click"
            class="menu-item menu-accordion"
            :class="isListaActivo(['transporte/listar', 'transporte/buscar'])"
          >
            <span class="menu-link">
              <span class="menu-icon">
                <i class="bi bi-list-ul" />
              </span>
              <span class="menu-title">Transportes</span>
              <span class="menu-arrow" />
            </span>
            <div
              class="menu-sub menu-sub-accordion menu-active-bg"
              :class="isListaActivo(['transporte/listar', 'transporte/buscar'])"
            >
              <div class="menu-item">
                <router-link
                  to="/panel/transporte/listar"
                  class="menu-link"
                  :class="isActivo('transporte/listar')"
                >
                  <span class="menu-bullet">
                    <span class="bullet bullet-dot" />
                  </span>
                  <span class="menu-title">Listar</span>
                </router-link>
              </div>
              <div class="menu-item">
                <router-link
                  to="/panel/transporte/buscar"
                  class="menu-link"
                  :class="isActivo('transporte/buscar')"
                >
                  <span class="menu-bullet">
                    <span class="bullet bullet-dot" />
                  </span>
                  <span class="menu-title">Busqueda Avanzada</span>
                </router-link>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
import Servicio from "@/core/servicio/Servicio";
import Ruta from "@/core/servicio/Ruta";
import Alerta from "@/core/util/Alerta";
import router from "@/router";

export default {
  name: 'AsideNav',
  data() {
    return {

    }
  },
  mounted() {

  },
  methods: {
    onCerrarSesion() {
      Servicio.post(Ruta.AUTENTICACION_CERRAR_SESION, {}).then( () => {
        localStorage.removeItem('token');
        router.push('/login');
      }).catch((error) => {
        Alerta.alertaError(error);
      });
    },

    isActivo(ruta) {
      let path = String(this.$route.path);
      return path.includes(ruta) ? 'active' : '';
    },

    isListaActivo(rutas) {
      let path = String(this.$route.path);
      for (let i = 0; i < rutas.length; i++) {
        if(path.includes(rutas[i])) {
          return 'hover show';
        }
      }
    },
  },

}
</script>